Monitoring - Add Widget to Dashboard
既存のダッシュボードにウィジェットを追加します
POST http://<Servername>/OperationsManager/monitoring/dashboard/{dashboardId}/widget
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
dashboard
|
path | True |
string |
ダッシュボード ID を指定します。 |
要求本文
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| name | True |
string |
コンポーネントの名前 |
| componentType |
string |
コンポーネントの種類 |
|
| config |
string |
コンポーネント構成 |
|
| description |
string |
コンポーネントの説明 |
|
| mpDescription |
string |
MPの説明 |
|
| mpId |
string |
Mp ID |
|
| mpName |
string |
MP名 |
|
| mpVersion |
string |
MPバージョン |
|
| path |
string |
経路 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
わかりました。ダッシュボードにウィジェットが正常に追加されました。 Media Types: "application/json", "text/json", "application/xml", "text/xml" |
例
Monitoring_AddWidget
要求のサンプル
POST http://<Servername>/OperationsManager/monitoring/dashboard/b0ba870b-6d74-2f8f-2e36-99674ae53265/widget
{
"mpId": "3d9a3d4f-f4f6-6027-6067-844af086fe3d",
"path": "Monitoring",
"name": "windows state",
"description": "test",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":2,\"sizex\":6,\"sizey\":4,\"columns\":[\"healthstate\",\"displayname\",\"path\",\"maintenancemode\"]},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[],\"classSelection\":[{\"id\":\"6f7e3306-beeb-2996-3795-7c1eafb925b8\",\"displayName\":\"All Windows Computers\",\"className\":\"Microsoft.SystemCenter.Library!Microsoft.SystemCenter.AllComputersGroup\",\"path\":null,\"fullName\":null,\"objectType\":-2}]},\"criteria\":{\"healthStates\":[\"2\",\"0\",\"1\",\"3\"],\"inMaintenanceMode\":\"All\"}},\"widgetRefreshInterval\":5}",
"componentType": "HtmlStateWidget"
}
応答のサンプル
{
"id": "7f91358b-4155-a753-2a4b-7f97f287ab8f",
"name": "windows state",
"description": null,
"mpId": "3d9a3d4f-f4f6-6027-6067-844af086fe3d",
"componentType": "HtmlStateWidget",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":2,\"sizex\":6,\"sizey\":4,\"columns\":[\"healthstate\",\"displayname\",\"path\",\"maintenancemode\"]},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[],\"classSelection\":[{\"id\":\"6f7e3306-beeb-2996-3795-7c1eafb925b8\",\"displayName\":\"All Windows Computers\",\"className\":\"Microsoft.SystemCenter.Library!Microsoft.SystemCenter.AllComputersGroup\",\"path\":null,\"fullName\":null,\"objectType\":-2}]},\"criteria\":{\"healthStates\":[\"2\",\"0\",\"1\",\"3\"],\"inMaintenanceMode\":\"All\"}},\"widgetRefreshInterval\":5}"
}
定義
| 名前 | 説明 |
|---|---|
|
Component |
|
|
Monitoring |
ComponentResponse
| 名前 | 型 | 説明 |
|---|---|---|
| componentType |
string |
コンポーネントの種類 |
| config |
string |
設定 |
| description |
string |
コンポーネントの説明 |
| id |
string |
身分証明書 |
| mpId |
string |
コンポーネントMP ID |
| name |
string |
コンポーネント名 |
MonitoringComponentRequest
| 名前 | 型 | 説明 |
|---|---|---|
| componentType |
string |
コンポーネントの種類 |
| config |
string |
コンポーネント構成 |
| description |
string |
コンポーネントの説明 |
| mpDescription |
string |
MPの説明 |
| mpId |
string |
Mp ID |
| mpName |
string |
MP名 |
| mpVersion |
string |
MPバージョン |
| name |
string |
コンポーネントの名前 |
| path |
string |
経路 |